Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Un nouveau logo pour Fedora ?

#1 05/04/2018 14:21:04

pat-sam
Membre
Inscription : 06/04/2013
Messages : 69

Libreoffice

Bonsoir à tous

Comment puis-je installer la dernière version (6) de libreoffice?
Merci


Les difficultés sont des voies amélioration alors , affrontons les avec courage, détermination..

Hors ligne

#2 05/04/2018 14:34:11

Fifi
Membre
Lieu : Belgique
Inscription : 22/05/2006
Messages : 5 245

Re : Libreoffice

En téléchargeant le rpm là : https://fr.libreoffice.org/download/lib … .2&lang=fr et en l'installant par la commande rpm ( voir man rpm ) ou dnf

Dernière modification par Fifi (05/04/2018 14:34:57)


Fedora 27-x86_64 - KDE 5 - Plasma 5.10 - ASUS M3A32-MVP Deluxe - AMD Phenom 8650 X3 - Nvidia GTX 260 ( avec le driver proprio Nvidia 340xx ) - 4 Go RAM Corsair - 1 disque dur WD de 1 To en Sata3 et un SSD Crucial de 256 Go ( disque de boot )
Multiboot Fedora - Centos 7.0  -  Windows 10 Pro - Systemrescuecd
firefox-56.0-5.fc26.x86_64  -  thunderbird-52.5.0-1.fc27.x86_64

Hors ligne

#3 05/04/2018 15:33:46

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 21/09/2005
Messages : 21 442

Re : Libreoffice

Et évite d'utiliser l'exécutable d'installation install.sh.

Une fois que tu as déballé l'archive, tu vas dans le répertoire Libreoffice6.0.3.2_Linux_x86_rpm/RPMS

la première fois tu peux installer avec dnf install ./*rpm

pour les mises à jour, par la suite, il y a un souci de dépendance idiot qui fait qu'on doit passer par rpm avec la directive --nodeps

tout ça sous root bien sur


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#4 06/04/2018 12:14:37

fgland
Membre
Lieu : Lituanie
Inscription : 09/08/2004
Messages : 2 798

Re : Libreoffice

nouvo09 a écrit :

pour les mises à jour, par la suite, il y a un souci de dépendance idiot qui fait qu'on doit passer par rpm avec la directive --nodeps

jamais rencontré ce problème... de quelle dépendance s'agit-il ?

Gérard

Hors ligne

#5 07/04/2018 11:02:15

winmandrake
Membre
Inscription : 08/07/2008
Messages : 1 052

Re : Libreoffice

pat-sam a écrit :

Bonsoir à tous

Comment puis-je installer la dernière version (6) de libreoffice?
Merci

En passant à f28. hammer

Sinon, tu attends un peu et d'ici 1 mois environ, f28 sera en stable.


Mon pc : AMD R5-2400G sur Asus Prime B450M-A, 16 Go ram, Nvidia 1050Ti (4Go), SSD Samsung 850 EVO (250 Go) + black caviar de 1To.

Hors ligne

#6 08/04/2018 08:48:56

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 21/09/2005
Messages : 21 442

Re : Libreoffice

fgland a écrit :
nouvo09 a écrit :

pour les mises à jour, par la suite, il y a un souci de dépendance idiot qui fait qu'on doit passer par rpm avec la directive --nodeps

jamais rencontré ce problème... de quelle dépendance s'agit-il ?

Gérard

voilà en détail les opérations après avoir déballé l'archive et s'être placé dans le répertoire RPMS

/download/LibreOffice_5.4.6.2_Linux_x86_rpm/RPMS # yum update ./*rpm
Modules complémentaires chargés : langpacks, presto, refresh-packagekit
Configuration du processus de mise à jour
Examen de ./libobasis5.4-base-5.4.6.2-2.i586.rpm : libobasis5.4-base-5.4.6.2-2.i586
Sélection de ./libobasis5.4-base-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-base-5.4.4.1-1.i586
Examen de ./libobasis5.4-calc-5.4.6.2-2.i586.rpm : libobasis5.4-calc-5.4.6.2-2.i586
Sélection de ./libobasis5.4-calc-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-calc-5.4.4.1-1.i586
Examen de ./libobasis5.4-core-5.4.6.2-2.i586.rpm : libobasis5.4-core-5.4.6.2-2.i586
Sélection de ./libobasis5.4-core-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-core-5.4.4.1-1.i586
Examen de ./libobasis5.4-draw-5.4.6.2-2.i586.rpm : libobasis5.4-draw-5.4.6.2-2.i586
Sélection de ./libobasis5.4-draw-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-draw-5.4.4.1-1.i586
Examen de ./libobasis5.4-en-US-5.4.6.2-2.i586.rpm : libobasis5.4-en-US-5.4.6.2-2.i586
Sélection de ./libobasis5.4-en-US-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-en-US-5.4.4.1-1.i586
Examen de ./libobasis5.4-en-US-base-5.4.6.2-2.i586.rpm : libobasis5.4-en-US-base-5.4.6.2-2.i586
Sélection de ./libobasis5.4-en-US-base-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-en-US-base-5.4.4.1-1.i586
Examen de ./libobasis5.4-en-US-calc-5.4.6.2-2.i586.rpm : libobasis5.4-en-US-calc-5.4.6.2-2.i586
Sélection de ./libobasis5.4-en-US-calc-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-en-US-calc-5.4.4.1-1.i586
Examen de ./libobasis5.4-en-US-math-5.4.6.2-2.i586.rpm : libobasis5.4-en-US-math-5.4.6.2-2.i586
Sélection de ./libobasis5.4-en-US-math-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-en-US-math-5.4.4.1-1.i586
Examen de ./libobasis5.4-en-US-res-5.4.6.2-2.i586.rpm : libobasis5.4-en-US-res-5.4.6.2-2.i586
Sélection de ./libobasis5.4-en-US-res-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-en-US-res-5.4.4.1-1.i586
Examen de ./libobasis5.4-en-US-writer-5.4.6.2-2.i586.rpm : libobasis5.4-en-US-writer-5.4.6.2-2.i586
Sélection de ./libobasis5.4-en-US-writer-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-en-US-writer-5.4.4.1-1.i586
Examen de ./libobasis5.4-extension-beanshell-script-provider-5.4.6.2-2.i586.rpm : libobasis5.4-extension-beanshell-script-provider-5.4.6.2-2.i586
Sélection de ./libobasis5.4-extension-beanshell-script-provider-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-extension-beanshell-script-provider-5.4.4.1-1.i586
Examen de ./libobasis5.4-extension-javascript-script-provider-5.4.6.2-2.i586.rpm : libobasis5.4-extension-javascript-script-provider-5.4.6.2-2.i586
Sélection de ./libobasis5.4-extension-javascript-script-provider-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-extension-javascript-script-provider-5.4.4.1-1.i586
Examen de ./libobasis5.4-extension-mediawiki-publisher-5.4.6.2-2.i586.rpm : libobasis5.4-extension-mediawiki-publisher-5.4.6.2-2.i586
Sélection de ./libobasis5.4-extension-mediawiki-publisher-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-extension-mediawiki-publisher-5.4.4.1-1.i586
Examen de ./libobasis5.4-extension-nlpsolver-5.4.6.2-2.i586.rpm : libobasis5.4-extension-nlpsolver-5.4.6.2-2.i586
Sélection de ./libobasis5.4-extension-nlpsolver-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-extension-nlpsolver-5.4.4.1-1.i586
Examen de ./libobasis5.4-extension-pdf-import-5.4.6.2-2.i586.rpm : libobasis5.4-extension-pdf-import-5.4.6.2-2.i586
Sélection de ./libobasis5.4-extension-pdf-import-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-extension-pdf-import-5.4.4.1-1.i586
Examen de ./libobasis5.4-extension-report-builder-5.4.6.2-2.i586.rpm : libobasis5.4-extension-report-builder-5.4.6.2-2.i586
Sélection de ./libobasis5.4-extension-report-builder-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-extension-report-builder-5.4.4.1-1.i586
Examen de ./libobasis5.4-firebird-5.4.6.2-2.i586.rpm : libobasis5.4-firebird-5.4.6.2-2.i586
Sélection de ./libobasis5.4-firebird-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-firebird-5.4.4.1-1.i586
Examen de ./libobasis5.4-graphicfilter-5.4.6.2-2.i586.rpm : libobasis5.4-graphicfilter-5.4.6.2-2.i586
Sélection de ./libobasis5.4-graphicfilter-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-graphicfilter-5.4.4.1-1.i586
Examen de ./libobasis5.4-images-5.4.6.2-2.i586.rpm : libobasis5.4-images-5.4.6.2-2.i586
Sélection de ./libobasis5.4-images-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-images-5.4.4.1-1.i586
Examen de ./libobasis5.4-impress-5.4.6.2-2.i586.rpm : libobasis5.4-impress-5.4.6.2-2.i586
Sélection de ./libobasis5.4-impress-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-impress-5.4.4.1-1.i586
Examen de ./libobasis5.4-librelogo-5.4.6.2-2.i586.rpm : libobasis5.4-librelogo-5.4.6.2-2.i586
Sélection de ./libobasis5.4-librelogo-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-librelogo-5.4.4.1-1.i586
Examen de ./libobasis5.4-math-5.4.6.2-2.i586.rpm : libobasis5.4-math-5.4.6.2-2.i586
Sélection de ./libobasis5.4-math-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-math-5.4.4.1-1.i586
Examen de ./libobasis5.4-ogltrans-5.4.6.2-2.i586.rpm : libobasis5.4-ogltrans-5.4.6.2-2.i586
Sélection de ./libobasis5.4-ogltrans-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-ogltrans-5.4.4.1-1.i586
Examen de ./libobasis5.4-onlineupdate-5.4.6.2-2.i586.rpm : libobasis5.4-onlineupdate-5.4.6.2-2.i586
Sélection de ./libobasis5.4-onlineupdate-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-onlineupdate-5.4.4.1-1.i586
Examen de ./libobasis5.4-ooofonts-5.4.6.2-2.i586.rpm : libobasis5.4-ooofonts-5.4.6.2-2.i586
Sélection de ./libobasis5.4-ooofonts-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-ooofonts-5.4.4.1-1.i586
Examen de ./libobasis5.4-ooolinguistic-5.4.6.2-2.i586.rpm : libobasis5.4-ooolinguistic-5.4.6.2-2.i586
Sélection de ./libobasis5.4-ooolinguistic-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-ooolinguistic-5.4.4.1-1.i586
Examen de ./libobasis5.4-postgresql-sdbc-5.4.6.2-2.i586.rpm : libobasis5.4-postgresql-sdbc-5.4.6.2-2.i586
Sélection de ./libobasis5.4-postgresql-sdbc-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-postgresql-sdbc-5.4.4.1-1.i586
Examen de ./libobasis5.4-python-script-provider-5.4.6.2-2.i586.rpm : libobasis5.4-python-script-provider-5.4.6.2-2.i586
Sélection de ./libobasis5.4-python-script-provider-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-python-script-provider-5.4.4.1-1.i586
Examen de ./libobasis5.4-pyuno-5.4.6.2-2.i586.rpm : libobasis5.4-pyuno-5.4.6.2-2.i586
Sélection de ./libobasis5.4-pyuno-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-pyuno-5.4.4.1-1.i586
Examen de ./libobasis5.4-writer-5.4.6.2-2.i586.rpm : libobasis5.4-writer-5.4.6.2-2.i586
Sélection de ./libobasis5.4-writer-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-writer-5.4.4.1-1.i586
Examen de ./libobasis5.4-xsltfilter-5.4.6.2-2.i586.rpm : libobasis5.4-xsltfilter-5.4.6.2-2.i586
Sélection de ./libobasis5.4-xsltfilter-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-xsltfilter-5.4.4.1-1.i586
Examen de ./libreoffice5.4-5.4.6.2-2.i586.rpm : libreoffice5.4-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-5.4.4.1-1.i586
Examen de ./libreoffice5.4-base-5.4.6.2-2.i586.rpm : libreoffice5.4-base-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-base-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-base-5.4.4.1-1.i586
Examen de ./libreoffice5.4-calc-5.4.6.2-2.i586.rpm : libreoffice5.4-calc-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-calc-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-calc-5.4.4.1-1.i586
Examen de ./libreoffice5.4-dict-en-5.4.6.2-2.i586.rpm : libreoffice5.4-dict-en-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-dict-en-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-dict-en-5.4.4.1-1.i586
Examen de ./libreoffice5.4-dict-es-5.4.6.2-2.i586.rpm : libreoffice5.4-dict-es-5.4.6.2-2.i586
Le paquet libreoffice5.4-dict-es n'est pas installé, il est impossible de le mettre à jour. Lancez plutôt yum install pour l'installer.
Examen de ./libreoffice5.4-dict-fr-5.4.6.2-2.i586.rpm : libreoffice5.4-dict-fr-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-dict-fr-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-dict-fr-5.4.4.1-1.i586
Examen de ./libreoffice5.4-draw-5.4.6.2-2.i586.rpm : libreoffice5.4-draw-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-draw-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-draw-5.4.4.1-1.i586
Examen de ./libreoffice5.4-en-US-5.4.6.2-2.i586.rpm : libreoffice5.4-en-US-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-en-US-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-en-US-5.4.4.1-1.i586
Examen de ./libreoffice5.4-impress-5.4.6.2-2.i586.rpm : libreoffice5.4-impress-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-impress-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-impress-5.4.4.1-1.i586
Examen de ./libreoffice5.4-math-5.4.6.2-2.i586.rpm : libreoffice5.4-math-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-math-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-math-5.4.4.1-1.i586
Examen de ./libreoffice5.4-ure-5.4.6.2-2.i586.rpm : libreoffice5.4-ure-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-ure-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-ure-5.4.4.1-1.i586
Examen de ./libreoffice5.4-writer-5.4.6.2-2.i586.rpm : libreoffice5.4-writer-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-writer-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-writer-5.4.4.1-1.i586
Résolution des dépendances
--> Lancement de la transaction de test
---> Package libobasis5.4-base.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-base.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-calc.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-calc.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-core.i586 0:5.4.4.1-1 will be mis à jour
--> Traitement de la dépendance : libobasis5.4-core <= 5.4.4.1-1 pour le paquet : libobasis5.4-kde-integration-5.4.4.1-1.i586
--> Traitement de la dépendance : libobasis5.4-core <= 5.4.4.1-1 pour le paquet : libobasis5.4-fr-5.4.4.1-1.i586
--> Traitement de la dépendance : libobasis5.4-core <= 5.4.4.1-1 pour le paquet : libobasis5.4-gnome-integration-5.4.4.1-1.i586
---> Package libobasis5.4-core.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-draw.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-draw.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-en-US.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-en-US.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-en-US-base.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-en-US-base.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-en-US-calc.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-en-US-calc.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-en-US-math.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-en-US-math.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-en-US-res.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-en-US-res.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-en-US-writer.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-en-US-writer.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-extension-beanshell-script-provider.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-extension-beanshell-script-provider.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-extension-javascript-script-provider.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-extension-javascript-script-provider.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-extension-mediawiki-publisher.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-extension-mediawiki-publisher.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-extension-nlpsolver.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-extension-nlpsolver.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-extension-pdf-import.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-extension-pdf-import.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-extension-report-builder.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-extension-report-builder.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-firebird.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-firebird.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-graphicfilter.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-graphicfilter.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-images.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-images.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-impress.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-impress.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-librelogo.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-librelogo.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-math.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-math.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-ogltrans.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-ogltrans.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-onlineupdate.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-onlineupdate.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-ooofonts.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-ooofonts.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-ooolinguistic.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-ooolinguistic.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-postgresql-sdbc.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-postgresql-sdbc.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-python-script-provider.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-python-script-provider.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-pyuno.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-pyuno.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-writer.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-writer.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-xsltfilter.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-xsltfilter.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4.i586 0:5.4.4.1-1 will be mis à jour
--> Traitement de la dépendance : libreoffice5.4 <= 5.4.4.1-1 pour le paquet : libreoffice5.4-fr-5.4.4.1-1.i586
---> Package libreoffice5.4.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-base.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-base.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-calc.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-calc.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-dict-en.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-dict-en.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-dict-fr.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-dict-fr.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-draw.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-draw.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-en-US.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-en-US.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-impress.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-impress.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-math.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-math.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-ure.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-ure.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-writer.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-writer.i586 0:5.4.6.2-2 will be an update
--> Résolution des dépendances terminée
Erreur : Paquet : libobasis5.4-fr-5.4.4.1-1.i586 (installed)
             Requiert : libobasis5.4-core <= 5.4.4.1-1
             Suppression : libobasis5.4-core-5.4.4.1-1.i586 (installed)
                 libobasis5.4-core = 5.4.4.1-1
             Mis à jour par : libobasis5.4-core-5.4.6.2-2.i586 (/libobasis5.4-core-5.4.6.2-2.i586)
                 libobasis5.4-core = 5.4.6.2-2
Erreur : Paquet : libobasis5.4-gnome-integration-5.4.4.1-1.i586 (installed)
             Requiert : libobasis5.4-core <= 5.4.4.1-1
             Suppression : libobasis5.4-core-5.4.4.1-1.i586 (installed)
                 libobasis5.4-core = 5.4.4.1-1
             Mis à jour par : libobasis5.4-core-5.4.6.2-2.i586 (/libobasis5.4-core-5.4.6.2-2.i586)
                 libobasis5.4-core = 5.4.6.2-2
Erreur : Paquet : libreoffice5.4-fr-5.4.4.1-1.i586 (installed)
             Requiert : libreoffice5.4 <= 5.4.4.1-1
             Suppression : libreoffice5.4-5.4.4.1-1.i586 (installed)
                 libreoffice5.4 = 5.4.4.1-1
             Mis à jour par : libreoffice5.4-5.4.6.2-2.i586 (/libreoffice5.4-5.4.6.2-2.i586)
                 libreoffice5.4 = 5.4.6.2-2
Erreur : Paquet : libobasis5.4-kde-integration-5.4.4.1-1.i586 (installed)
             Requiert : libobasis5.4-core <= 5.4.4.1-1
             Suppression : libobasis5.4-core-5.4.4.1-1.i586 (installed)
                 libobasis5.4-core = 5.4.4.1-1
             Mis à jour par : libobasis5.4-core-5.4.6.2-2.i586 (/libobasis5.4-core-5.4.6.2-2.i586)
                 libobasis5.4-core = 5.4.6.2-2
 Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
/download/LibreOffice_5.4.6.2_Linux_x86_rpm/RPMS # 

yum n'y arrive pas on essaie avec rpm:

/download/LibreOffice_5.4.6.2_Linux_x86_rpm/RPMS # rpm -Uvh ./*rpm
erreur: Dépendances requises:
	libobasis5.4-core <= 5.4.4.1-1 est nécessaire pour (déjà installé) libobasis5.4-gnome-integration-5.4.4.1-1.i586
	libobasis5.4-core <= 5.4.4.1-1 est nécessaire pour (déjà installé) libobasis5.4-kde-integration-5.4.4.1-1.i586
	libobasis5.4-core <= 5.4.4.1-1 est nécessaire pour (déjà installé) libobasis5.4-fr-5.4.4.1-1.i586
	libreoffice5.4 <= 5.4.4.1-1 est nécessaire pour (déjà installé) libreoffice5.4-fr-5.4.4.1-1.i586
/download/LibreOffice_5.4.6.2_Linux_x86_rpm/RPMS #

rpm refuse également.

Donc la solution préconisée avec la directive --nodeps:

/download/LibreOffice_5.4.6.2_Linux_x86_rpm/RPMS # rpm -Uvh ./*rpm --nodeps
Préparation...              ########################################### [100%]
   1:libreoffice5.4-ure     ########################################### [  2%]
   2:libobasis5.4-core      ########################################### [  5%]
   3:libobasis5.4-en-US     ########################################### [  7%]
   4:libobasis5.4-base      ########################################### [  9%]
   5:libobasis5.4-impress   ########################################### [ 12%]
   6:libobasis5.4-writer    ########################################### [ 14%]
   7:libobasis5.4-en-US-base########################################### [ 16%]
   8:libobasis5.4-en-US-calc########################################### [ 19%]
   9:libobasis5.4-en-US-math########################################### [ 21%]
  10:libobasis5.4-en-US-res ########################################### [ 23%]
  11:libobasis5.4-en-US-writ########################################### [ 26%]
  12:libobasis5.4-calc      ########################################### [ 28%]
  13:libobasis5.4-draw      ########################################### [ 30%]
  14:libobasis5.4-images    ########################################### [ 33%]
  15:libreoffice5.4         ########################################### [ 35%]
/usr/bin/update-desktop-database
  16:libobasis5.4-math      ########################################### [ 37%]
  17:libobasis5.4-pyuno     ########################################### [ 40%]
  18:libobasis5.4-librelogo ########################################### [ 42%]
  19:libreoffice5.4-math    ########################################### [ 44%]
/usr/bin/update-desktop-database
  20:libreoffice5.4-base    ########################################### [ 47%]
  21:libreoffice5.4-calc    ########################################### [ 49%]
/usr/bin/update-desktop-database
  22:libreoffice5.4-dict-en ########################################### [ 51%]
  23:libreoffice5.4-dict-es ########################################### [ 53%]
  24:libreoffice5.4-dict-fr ########################################### [ 56%]
  25:libreoffice5.4-draw    ########################################### [ 58%]
/usr/bin/update-desktop-database
  26:libreoffice5.4-en-US   ########################################### [ 60%]
  27:libreoffice5.4-impress ########################################### [ 63%]
/usr/bin/update-desktop-database
  28:libreoffice5.4-writer  ########################################### [ 65%]
/usr/bin/update-desktop-database
  29:libobasis5.4-ogltrans  ########################################### [ 67%]
  30:libobasis5.4-postgresql########################################### [ 70%]
  31:libobasis5.4-extension-########################################### [ 72%]
  32:libobasis5.4-extension-########################################### [ 74%]
  33:libobasis5.4-extension-########################################### [ 77%]
  34:libobasis5.4-extension-########################################### [ 79%]
  35:libobasis5.4-extension-########################################### [ 81%]
  36:libobasis5.4-extension-########################################### [ 84%]
  37:libobasis5.4-firebird  ########################################### [ 86%]
  38:libobasis5.4-graphicfil########################################### [ 88%]
  39:libobasis5.4-onlineupda########################################### [ 91%]
  40:libobasis5.4-ooofonts  ########################################### [ 93%]
  41:libobasis5.4-ooolinguis########################################### [ 95%]
  42:libobasis5.4-python-scr########################################### [ 98%]
  43:libobasis5.4-xsltfilter########################################### [100%]
/download/LibreOffice_5.4.6.2_Linux_x86_rpm/RPMS # 

et là, la mise à jour est effective.


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#7 08/04/2018 15:22:19

winmandrake
Membre
Inscription : 08/07/2008
Messages : 1 052

Re : Libreoffice

nouvo09 a écrit :
fgland a écrit :
nouvo09 a écrit :

pour les mises à jour, par la suite, il y a un souci de dépendance idiot qui fait qu'on doit passer par rpm avec la directive --nodeps

jamais rencontré ce problème... de quelle dépendance s'agit-il ?

Gérard

voilà en détail les opérations après avoir déballé l'archive et s'être placé dans le répertoire RPMS

/download/LibreOffice_5.4.6.2_Linux_x86_rpm/RPMS # yum update ./*rpm
Modules complémentaires chargés : langpacks, presto, refresh-packagekit
Configuration du processus de mise à jour
Examen de ./libobasis5.4-base-5.4.6.2-2.i586.rpm : libobasis5.4-base-5.4.6.2-2.i586
Sélection de ./libobasis5.4-base-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-base-5.4.4.1-1.i586
Examen de ./libobasis5.4-calc-5.4.6.2-2.i586.rpm : libobasis5.4-calc-5.4.6.2-2.i586
Sélection de ./libobasis5.4-calc-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-calc-5.4.4.1-1.i586
Examen de ./libobasis5.4-core-5.4.6.2-2.i586.rpm : libobasis5.4-core-5.4.6.2-2.i586
Sélection de ./libobasis5.4-core-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-core-5.4.4.1-1.i586
Examen de ./libobasis5.4-draw-5.4.6.2-2.i586.rpm : libobasis5.4-draw-5.4.6.2-2.i586
Sélection de ./libobasis5.4-draw-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-draw-5.4.4.1-1.i586
Examen de ./libobasis5.4-en-US-5.4.6.2-2.i586.rpm : libobasis5.4-en-US-5.4.6.2-2.i586
Sélection de ./libobasis5.4-en-US-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-en-US-5.4.4.1-1.i586
Examen de ./libobasis5.4-en-US-base-5.4.6.2-2.i586.rpm : libobasis5.4-en-US-base-5.4.6.2-2.i586
Sélection de ./libobasis5.4-en-US-base-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-en-US-base-5.4.4.1-1.i586
Examen de ./libobasis5.4-en-US-calc-5.4.6.2-2.i586.rpm : libobasis5.4-en-US-calc-5.4.6.2-2.i586
Sélection de ./libobasis5.4-en-US-calc-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-en-US-calc-5.4.4.1-1.i586
Examen de ./libobasis5.4-en-US-math-5.4.6.2-2.i586.rpm : libobasis5.4-en-US-math-5.4.6.2-2.i586
Sélection de ./libobasis5.4-en-US-math-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-en-US-math-5.4.4.1-1.i586
Examen de ./libobasis5.4-en-US-res-5.4.6.2-2.i586.rpm : libobasis5.4-en-US-res-5.4.6.2-2.i586
Sélection de ./libobasis5.4-en-US-res-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-en-US-res-5.4.4.1-1.i586
Examen de ./libobasis5.4-en-US-writer-5.4.6.2-2.i586.rpm : libobasis5.4-en-US-writer-5.4.6.2-2.i586
Sélection de ./libobasis5.4-en-US-writer-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-en-US-writer-5.4.4.1-1.i586
Examen de ./libobasis5.4-extension-beanshell-script-provider-5.4.6.2-2.i586.rpm : libobasis5.4-extension-beanshell-script-provider-5.4.6.2-2.i586
Sélection de ./libobasis5.4-extension-beanshell-script-provider-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-extension-beanshell-script-provider-5.4.4.1-1.i586
Examen de ./libobasis5.4-extension-javascript-script-provider-5.4.6.2-2.i586.rpm : libobasis5.4-extension-javascript-script-provider-5.4.6.2-2.i586
Sélection de ./libobasis5.4-extension-javascript-script-provider-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-extension-javascript-script-provider-5.4.4.1-1.i586
Examen de ./libobasis5.4-extension-mediawiki-publisher-5.4.6.2-2.i586.rpm : libobasis5.4-extension-mediawiki-publisher-5.4.6.2-2.i586
Sélection de ./libobasis5.4-extension-mediawiki-publisher-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-extension-mediawiki-publisher-5.4.4.1-1.i586
Examen de ./libobasis5.4-extension-nlpsolver-5.4.6.2-2.i586.rpm : libobasis5.4-extension-nlpsolver-5.4.6.2-2.i586
Sélection de ./libobasis5.4-extension-nlpsolver-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-extension-nlpsolver-5.4.4.1-1.i586
Examen de ./libobasis5.4-extension-pdf-import-5.4.6.2-2.i586.rpm : libobasis5.4-extension-pdf-import-5.4.6.2-2.i586
Sélection de ./libobasis5.4-extension-pdf-import-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-extension-pdf-import-5.4.4.1-1.i586
Examen de ./libobasis5.4-extension-report-builder-5.4.6.2-2.i586.rpm : libobasis5.4-extension-report-builder-5.4.6.2-2.i586
Sélection de ./libobasis5.4-extension-report-builder-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-extension-report-builder-5.4.4.1-1.i586
Examen de ./libobasis5.4-firebird-5.4.6.2-2.i586.rpm : libobasis5.4-firebird-5.4.6.2-2.i586
Sélection de ./libobasis5.4-firebird-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-firebird-5.4.4.1-1.i586
Examen de ./libobasis5.4-graphicfilter-5.4.6.2-2.i586.rpm : libobasis5.4-graphicfilter-5.4.6.2-2.i586
Sélection de ./libobasis5.4-graphicfilter-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-graphicfilter-5.4.4.1-1.i586
Examen de ./libobasis5.4-images-5.4.6.2-2.i586.rpm : libobasis5.4-images-5.4.6.2-2.i586
Sélection de ./libobasis5.4-images-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-images-5.4.4.1-1.i586
Examen de ./libobasis5.4-impress-5.4.6.2-2.i586.rpm : libobasis5.4-impress-5.4.6.2-2.i586
Sélection de ./libobasis5.4-impress-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-impress-5.4.4.1-1.i586
Examen de ./libobasis5.4-librelogo-5.4.6.2-2.i586.rpm : libobasis5.4-librelogo-5.4.6.2-2.i586
Sélection de ./libobasis5.4-librelogo-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-librelogo-5.4.4.1-1.i586
Examen de ./libobasis5.4-math-5.4.6.2-2.i586.rpm : libobasis5.4-math-5.4.6.2-2.i586
Sélection de ./libobasis5.4-math-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-math-5.4.4.1-1.i586
Examen de ./libobasis5.4-ogltrans-5.4.6.2-2.i586.rpm : libobasis5.4-ogltrans-5.4.6.2-2.i586
Sélection de ./libobasis5.4-ogltrans-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-ogltrans-5.4.4.1-1.i586
Examen de ./libobasis5.4-onlineupdate-5.4.6.2-2.i586.rpm : libobasis5.4-onlineupdate-5.4.6.2-2.i586
Sélection de ./libobasis5.4-onlineupdate-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-onlineupdate-5.4.4.1-1.i586
Examen de ./libobasis5.4-ooofonts-5.4.6.2-2.i586.rpm : libobasis5.4-ooofonts-5.4.6.2-2.i586
Sélection de ./libobasis5.4-ooofonts-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-ooofonts-5.4.4.1-1.i586
Examen de ./libobasis5.4-ooolinguistic-5.4.6.2-2.i586.rpm : libobasis5.4-ooolinguistic-5.4.6.2-2.i586
Sélection de ./libobasis5.4-ooolinguistic-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-ooolinguistic-5.4.4.1-1.i586
Examen de ./libobasis5.4-postgresql-sdbc-5.4.6.2-2.i586.rpm : libobasis5.4-postgresql-sdbc-5.4.6.2-2.i586
Sélection de ./libobasis5.4-postgresql-sdbc-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-postgresql-sdbc-5.4.4.1-1.i586
Examen de ./libobasis5.4-python-script-provider-5.4.6.2-2.i586.rpm : libobasis5.4-python-script-provider-5.4.6.2-2.i586
Sélection de ./libobasis5.4-python-script-provider-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-python-script-provider-5.4.4.1-1.i586
Examen de ./libobasis5.4-pyuno-5.4.6.2-2.i586.rpm : libobasis5.4-pyuno-5.4.6.2-2.i586
Sélection de ./libobasis5.4-pyuno-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-pyuno-5.4.4.1-1.i586
Examen de ./libobasis5.4-writer-5.4.6.2-2.i586.rpm : libobasis5.4-writer-5.4.6.2-2.i586
Sélection de ./libobasis5.4-writer-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-writer-5.4.4.1-1.i586
Examen de ./libobasis5.4-xsltfilter-5.4.6.2-2.i586.rpm : libobasis5.4-xsltfilter-5.4.6.2-2.i586
Sélection de ./libobasis5.4-xsltfilter-5.4.6.2-2.i586.rpm pour mise à jour de libobasis5.4-xsltfilter-5.4.4.1-1.i586
Examen de ./libreoffice5.4-5.4.6.2-2.i586.rpm : libreoffice5.4-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-5.4.4.1-1.i586
Examen de ./libreoffice5.4-base-5.4.6.2-2.i586.rpm : libreoffice5.4-base-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-base-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-base-5.4.4.1-1.i586
Examen de ./libreoffice5.4-calc-5.4.6.2-2.i586.rpm : libreoffice5.4-calc-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-calc-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-calc-5.4.4.1-1.i586
Examen de ./libreoffice5.4-dict-en-5.4.6.2-2.i586.rpm : libreoffice5.4-dict-en-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-dict-en-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-dict-en-5.4.4.1-1.i586
Examen de ./libreoffice5.4-dict-es-5.4.6.2-2.i586.rpm : libreoffice5.4-dict-es-5.4.6.2-2.i586
Le paquet libreoffice5.4-dict-es n'est pas installé, il est impossible de le mettre à jour. Lancez plutôt yum install pour l'installer.
Examen de ./libreoffice5.4-dict-fr-5.4.6.2-2.i586.rpm : libreoffice5.4-dict-fr-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-dict-fr-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-dict-fr-5.4.4.1-1.i586
Examen de ./libreoffice5.4-draw-5.4.6.2-2.i586.rpm : libreoffice5.4-draw-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-draw-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-draw-5.4.4.1-1.i586
Examen de ./libreoffice5.4-en-US-5.4.6.2-2.i586.rpm : libreoffice5.4-en-US-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-en-US-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-en-US-5.4.4.1-1.i586
Examen de ./libreoffice5.4-impress-5.4.6.2-2.i586.rpm : libreoffice5.4-impress-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-impress-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-impress-5.4.4.1-1.i586
Examen de ./libreoffice5.4-math-5.4.6.2-2.i586.rpm : libreoffice5.4-math-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-math-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-math-5.4.4.1-1.i586
Examen de ./libreoffice5.4-ure-5.4.6.2-2.i586.rpm : libreoffice5.4-ure-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-ure-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-ure-5.4.4.1-1.i586
Examen de ./libreoffice5.4-writer-5.4.6.2-2.i586.rpm : libreoffice5.4-writer-5.4.6.2-2.i586
Sélection de ./libreoffice5.4-writer-5.4.6.2-2.i586.rpm pour mise à jour de libreoffice5.4-writer-5.4.4.1-1.i586
Résolution des dépendances
--> Lancement de la transaction de test
---> Package libobasis5.4-base.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-base.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-calc.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-calc.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-core.i586 0:5.4.4.1-1 will be mis à jour
--> Traitement de la dépendance : libobasis5.4-core <= 5.4.4.1-1 pour le paquet : libobasis5.4-kde-integration-5.4.4.1-1.i586
--> Traitement de la dépendance : libobasis5.4-core <= 5.4.4.1-1 pour le paquet : libobasis5.4-fr-5.4.4.1-1.i586
--> Traitement de la dépendance : libobasis5.4-core <= 5.4.4.1-1 pour le paquet : libobasis5.4-gnome-integration-5.4.4.1-1.i586
---> Package libobasis5.4-core.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-draw.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-draw.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-en-US.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-en-US.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-en-US-base.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-en-US-base.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-en-US-calc.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-en-US-calc.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-en-US-math.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-en-US-math.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-en-US-res.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-en-US-res.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-en-US-writer.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-en-US-writer.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-extension-beanshell-script-provider.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-extension-beanshell-script-provider.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-extension-javascript-script-provider.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-extension-javascript-script-provider.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-extension-mediawiki-publisher.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-extension-mediawiki-publisher.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-extension-nlpsolver.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-extension-nlpsolver.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-extension-pdf-import.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-extension-pdf-import.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-extension-report-builder.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-extension-report-builder.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-firebird.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-firebird.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-graphicfilter.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-graphicfilter.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-images.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-images.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-impress.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-impress.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-librelogo.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-librelogo.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-math.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-math.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-ogltrans.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-ogltrans.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-onlineupdate.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-onlineupdate.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-ooofonts.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-ooofonts.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-ooolinguistic.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-ooolinguistic.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-postgresql-sdbc.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-postgresql-sdbc.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-python-script-provider.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-python-script-provider.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-pyuno.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-pyuno.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-writer.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-writer.i586 0:5.4.6.2-2 will be an update
---> Package libobasis5.4-xsltfilter.i586 0:5.4.4.1-1 will be mis à jour
---> Package libobasis5.4-xsltfilter.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4.i586 0:5.4.4.1-1 will be mis à jour
--> Traitement de la dépendance : libreoffice5.4 <= 5.4.4.1-1 pour le paquet : libreoffice5.4-fr-5.4.4.1-1.i586
---> Package libreoffice5.4.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-base.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-base.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-calc.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-calc.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-dict-en.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-dict-en.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-dict-fr.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-dict-fr.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-draw.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-draw.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-en-US.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-en-US.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-impress.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-impress.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-math.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-math.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-ure.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-ure.i586 0:5.4.6.2-2 will be an update
---> Package libreoffice5.4-writer.i586 0:5.4.4.1-1 will be mis à jour
---> Package libreoffice5.4-writer.i586 0:5.4.6.2-2 will be an update
--> Résolution des dépendances terminée
Erreur : Paquet : libobasis5.4-fr-5.4.4.1-1.i586 (installed)
             Requiert : libobasis5.4-core <= 5.4.4.1-1
             Suppression : libobasis5.4-core-5.4.4.1-1.i586 (installed)
                 libobasis5.4-core = 5.4.4.1-1
             Mis à jour par : libobasis5.4-core-5.4.6.2-2.i586 (/libobasis5.4-core-5.4.6.2-2.i586)
                 libobasis5.4-core = 5.4.6.2-2
Erreur : Paquet : libobasis5.4-gnome-integration-5.4.4.1-1.i586 (installed)
             Requiert : libobasis5.4-core <= 5.4.4.1-1
             Suppression : libobasis5.4-core-5.4.4.1-1.i586 (installed)
                 libobasis5.4-core = 5.4.4.1-1
             Mis à jour par : libobasis5.4-core-5.4.6.2-2.i586 (/libobasis5.4-core-5.4.6.2-2.i586)
                 libobasis5.4-core = 5.4.6.2-2
Erreur : Paquet : libreoffice5.4-fr-5.4.4.1-1.i586 (installed)
             Requiert : libreoffice5.4 <= 5.4.4.1-1
             Suppression : libreoffice5.4-5.4.4.1-1.i586 (installed)
                 libreoffice5.4 = 5.4.4.1-1
             Mis à jour par : libreoffice5.4-5.4.6.2-2.i586 (/libreoffice5.4-5.4.6.2-2.i586)
                 libreoffice5.4 = 5.4.6.2-2
Erreur : Paquet : libobasis5.4-kde-integration-5.4.4.1-1.i586 (installed)
             Requiert : libobasis5.4-core <= 5.4.4.1-1
             Suppression : libobasis5.4-core-5.4.4.1-1.i586 (installed)
                 libobasis5.4-core = 5.4.4.1-1
             Mis à jour par : libobasis5.4-core-5.4.6.2-2.i586 (/libobasis5.4-core-5.4.6.2-2.i586)
                 libobasis5.4-core = 5.4.6.2-2
 Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
/download/LibreOffice_5.4.6.2_Linux_x86_rpm/RPMS # 

yum n'y arrive pas on essaie avec rpm:

/download/LibreOffice_5.4.6.2_Linux_x86_rpm/RPMS # rpm -Uvh ./*rpm
erreur: Dépendances requises:
	libobasis5.4-core <= 5.4.4.1-1 est nécessaire pour (déjà installé) libobasis5.4-gnome-integration-5.4.4.1-1.i586
	libobasis5.4-core <= 5.4.4.1-1 est nécessaire pour (déjà installé) libobasis5.4-kde-integration-5.4.4.1-1.i586
	libobasis5.4-core <= 5.4.4.1-1 est nécessaire pour (déjà installé) libobasis5.4-fr-5.4.4.1-1.i586
	libreoffice5.4 <= 5.4.4.1-1 est nécessaire pour (déjà installé) libreoffice5.4-fr-5.4.4.1-1.i586
/download/LibreOffice_5.4.6.2_Linux_x86_rpm/RPMS #

rpm refuse également.

Donc la solution préconisée avec la directive --nodeps:

/download/LibreOffice_5.4.6.2_Linux_x86_rpm/RPMS # rpm -Uvh ./*rpm --nodeps
Préparation...              ########################################### [100%]
   1:libreoffice5.4-ure     ########################################### [  2%]
   2:libobasis5.4-core      ########################################### [  5%]
   3:libobasis5.4-en-US     ########################################### [  7%]
   4:libobasis5.4-base      ########################################### [  9%]
   5:libobasis5.4-impress   ########################################### [ 12%]
   6:libobasis5.4-writer    ########################################### [ 14%]
   7:libobasis5.4-en-US-base########################################### [ 16%]
   8:libobasis5.4-en-US-calc########################################### [ 19%]
   9:libobasis5.4-en-US-math########################################### [ 21%]
  10:libobasis5.4-en-US-res ########################################### [ 23%]
  11:libobasis5.4-en-US-writ########################################### [ 26%]
  12:libobasis5.4-calc      ########################################### [ 28%]
  13:libobasis5.4-draw      ########################################### [ 30%]
  14:libobasis5.4-images    ########################################### [ 33%]
  15:libreoffice5.4         ########################################### [ 35%]
/usr/bin/update-desktop-database
  16:libobasis5.4-math      ########################################### [ 37%]
  17:libobasis5.4-pyuno     ########################################### [ 40%]
  18:libobasis5.4-librelogo ########################################### [ 42%]
  19:libreoffice5.4-math    ########################################### [ 44%]
/usr/bin/update-desktop-database
  20:libreoffice5.4-base    ########################################### [ 47%]
  21:libreoffice5.4-calc    ########################################### [ 49%]
/usr/bin/update-desktop-database
  22:libreoffice5.4-dict-en ########################################### [ 51%]
  23:libreoffice5.4-dict-es ########################################### [ 53%]
  24:libreoffice5.4-dict-fr ########################################### [ 56%]
  25:libreoffice5.4-draw    ########################################### [ 58%]
/usr/bin/update-desktop-database
  26:libreoffice5.4-en-US   ########################################### [ 60%]
  27:libreoffice5.4-impress ########################################### [ 63%]
/usr/bin/update-desktop-database
  28:libreoffice5.4-writer  ########################################### [ 65%]
/usr/bin/update-desktop-database
  29:libobasis5.4-ogltrans  ########################################### [ 67%]
  30:libobasis5.4-postgresql########################################### [ 70%]
  31:libobasis5.4-extension-########################################### [ 72%]
  32:libobasis5.4-extension-########################################### [ 74%]
  33:libobasis5.4-extension-########################################### [ 77%]
  34:libobasis5.4-extension-########################################### [ 79%]
  35:libobasis5.4-extension-########################################### [ 81%]
  36:libobasis5.4-extension-########################################### [ 84%]
  37:libobasis5.4-firebird  ########################################### [ 86%]
  38:libobasis5.4-graphicfil########################################### [ 88%]
  39:libobasis5.4-onlineupda########################################### [ 91%]
  40:libobasis5.4-ooofonts  ########################################### [ 93%]
  41:libobasis5.4-ooolinguis########################################### [ 95%]
  42:libobasis5.4-python-scr########################################### [ 98%]
  43:libobasis5.4-xsltfilter########################################### [100%]
/download/LibreOffice_5.4.6.2_Linux_x86_rpm/RPMS # 

et là, la mise à jour est effective.

Heu on parle de libreoffice 6.0.2 et là tu nous sort du 5.4...
De plus il y a un moment que yum est déprécié...


Mon pc : AMD R5-2400G sur Asus Prime B450M-A, 16 Go ram, Nvidia 1050Ti (4Go), SSD Samsung 850 EVO (250 Go) + black caviar de 1To.

Hors ligne

#8 08/04/2018 17:39:36

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 21/09/2005
Messages : 21 442

Re : Libreoffice

J'ai les deux sur ma machine sur les deux distris.

Même peine même motif dans les deux cas.


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

Pied de page des forums